Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		librsync
Version:	0.9.7
Release:	2
Provides:	%{name}
License:	GNU/GPL 
URL:		https://sourceforge.net/projects/librsync
Group:		Development/Other
#Patch0:		%{name}-%{version}-link.patch
Patch1:		%{name}-4Gigbug.patch
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Rsync libraries
#Requires:	
BuildRequires:	automake

%description
librsync implements the "rsync" algorithm, which allows remote
differencing of binary files.  librsync computes a delta relative to a
file's checksum, so the two files need not both be present to generate
a delta.
This library was previously known as libhsync up to version 0.9.0.
The current version of this package does not implement the rsync
network protocol and uses a delta format slightly more efficient than
and incompatible with rsync 2.4.6.

%package	devel
Summary: 	Headers and development libraries for %{name}.
Group: 		%{group}
Requires: 	%{name} = %{version}-%{release}

%description 	devel
Headers and development libraries for %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
#%patch0 -p1
%patch1 -p1

%build
%configure \
--enable-shared
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Sep 16 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.9.7-2
- added patch for a bug with files > 4gb
* Tue Jan 31 2006 Christian Wasem <wasem@ccux-linux.de> 0.9.7-1
- Initial Release  
